Details

    • Type: Improvement Improvement
    • Status: Resolved Resolved
    • Priority: Major Major
    • Resolution: Complete
    • Affects Version/s: 2.7.0.RELEASE
    • Fix Version/s: 2.8.0.M2
    • Component/s: None
    • Labels:
      None

      Description

      Update Maven to a newer version and m2eclipse to the Eclipse Indigo based distribution.

        Activity

        Hide
        Andrew Eisenberg (c) added a comment -

        Hi Rick,

        I am guessing that you have not explicitly installed the m2e feature. When you go to Help -> about STS. do you see an m2e icon? (It should look like a regular Eclipse icon, but with 'm2' in the lower right in red letters).

        If not, you need to install the org.eclipse.m2.feature feature explicitly.

        Show
        Andrew Eisenberg (c) added a comment - Hi Rick, I am guessing that you have not explicitly installed the m2e feature. When you go to Help -> about STS. do you see an m2e icon? (It should look like a regular Eclipse icon, but with 'm2' in the lower right in red letters). If not, you need to install the org.eclipse.m2.feature feature explicitly.
        Hide
        Daniel Serodio added a comment - - edited

        I have m2e 1.0.0 installed and I'm seeing "Persisted container [org.maven.ide.eclipse.MAVEN2_CLASSPATH_CONTAINER]" too, even thou I see the "Maven" menu when I right-click the project.

        Should we move this discussion to the forums?

        Show
        Daniel Serodio added a comment - - edited I have m2e 1.0.0 installed and I'm seeing "Persisted container [org.maven.ide.eclipse.MAVEN2_CLASSPATH_CONTAINER] " too, even thou I see the "Maven" menu when I right-click the project. Should we move this discussion to the forums?
        Hide
        Andrew Eisenberg (c) added a comment -

        When migrating projects from pre-1.0, there are some things that you need to do. The steps are described here:
        http://java.dzone.com/articles/migrating-m2eclipse-m2e

        You must manually edit your .project file, .classpath file, and .settings folder. It's not too difficult to do, but you should make sure that you have a backup of these files before you start. Please let me know if the instructions above help.

        Show
        Andrew Eisenberg (c) added a comment - When migrating projects from pre-1.0, there are some things that you need to do. The steps are described here: http://java.dzone.com/articles/migrating-m2eclipse-m2e You must manually edit your .project file, .classpath file, and .settings folder. It's not too difficult to do, but you should make sure that you have a backup of these files before you start. Please let me know if the instructions above help.
        Hide
        Andrew Eisenberg (c) added a comment -

        @Daniel,

        Yes, moving this discussion to the forums would be a good idea. Here is the link:

        http://forum.springsource.org/forumdisplay.php?32-SpringSource-Tool-Suite

        Show
        Andrew Eisenberg (c) added a comment - @Daniel, Yes, moving this discussion to the forums would be a good idea. Here is the link: http://forum.springsource.org/forumdisplay.php?32-SpringSource-Tool-Suite
        Hide
        Martin Lippert (c) added a comment -
        Show
        Martin Lippert (c) added a comment - Please also watch this: https://issuetracker.springsource.com/browse/STS-2152

          People

          • Assignee:
            Martin Lippert (c)
            Reporter:
            Martin Lippert (c)
          • Votes:
            17 Vote for this issue
            Watchers:
            19 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:
              First Response Date: